AddressControl (ActiveMQ Artemis Web 1.1.0.wildfly-010 API)
Date: 2015-12-18

org.apache.activemq.artemis.api.core.management

## Interface AddressControl

-     public interface AddressControl

  An AddressControl is used to manage an address.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAddress()` Returns the managed address.
    `long` | `getAddressSize()`
    `String[]` | `getBindingNames()` Returns the names of all bindings (both queues and diverts) bound to this address
    `long` | `getNumberOfBytesPerPage()` Returns the number of bytes used by each page for this address.
    `long` | `getNumberOfMessages()`
    `int` | `getNumberOfPages()` Returns the number of pages used by this address.
    `String[]` | `getQueueNames()` Returns the names of the queues bound to this address.
    `Object[]` | `getRoles()` Returns the roles (name and permissions) associated to this address.
    `String` | `getRolesAsJSON()` Returns the roles (name and permissions) associated to this address using JSON serialization.
    `boolean` | `isPaging()` Returns whether this address is paging.

- - ### Method Detail

    - #### getAddress

          String getAddress()

      Returns the managed address.

    - #### getRoles

          Object[] getRoles()
                     throws Exception

      Returns the roles (name and permissions) associated to this address.
      Throws:
        `Exception`

    - #### getRolesAsJSON

          String getRolesAsJSON()
                         throws Exception

      Returns the roles (name and permissions) associated to this address using JSON serialization.
      Java objects can be recreated from JSON serialization using `RoleInfo.from(String)`.
      Throws:
        `Exception`

    - #### getAddressSize

          long getAddressSize()
                       throws Exception

      Throws:
        `Exception`

    - #### getNumberOfMessages

          long getNumberOfMessages()
                            throws Exception

      Throws:
        `Exception`

    - #### getQueueNames

          String[] getQueueNames()
                          throws Exception

      Returns the names of the queues bound to this address.
      Throws:
        `Exception`

    - #### getNumberOfPages

          int getNumberOfPages()
                        throws Exception

      Returns the number of pages used by this address.
      Throws:
        `Exception`

    - #### isPaging

          boolean isPaging()
                    throws Exception

      Returns whether this address is paging.
      Throws:
        `Exception`

    - #### getNumberOfBytesPerPage

          long getNumberOfBytesPerPage()
                                throws Exception

      Returns the number of bytes used by each page for this address.
      Throws:
        `Exception`

    - #### getBindingNames

          String[] getBindingNames()
                            throws Exception

      Returns the names of all bindings (both queues and diverts) bound to this address
      Throws:
        `Exception`

Copyright © 2015. All rights reserved.